Skip to content

Add comment to a customer support ticket in child tenant.

POST
/api/web/namespaces/system/partner-management/customer_supports/{tp_id}/comment
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/customer_supports/example/comment \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "attachments": [ { "attachment": "example", "content_type": "example", "filename": "example", "tp_id": "example" } ], "comment": "example", "tp_id": "example" }'

Adds additional comment to a specified customer support ticket. The comment may include an attachment.

Examples of this operation.

tp_id
required
string

Third party ID ID assigned to this ticket by our support provider.

Media typeapplication/json
CommentRequest

Adds a new comment to an existing customer support ticket.

object
attachments
Binary attachments

Any binary attachments (such as screenshots, plain text files) encoded as base64 if used over HTTP.

Array<object>
Attachment

Attachment represents a single support ticket comment attachment. Attachment are normally not store with the ticket itself, they represent a handle in the third party, so the contact can be retrieved omn demand.

object
attachment
Binary attachment

Any binary attachment (such as screenshots, plain text files, PDFs) encoded as base64 if used over HTTP.

string format: byte
<= 1024 characters
content_type
Content type

Mime content type of the attachment. Helps the UI to properly display the data.

string
<= 1024 characters
filename
Filename of the attachment

Filename of the attachment as provided by the caller.

string
<= 1024 characters
tp_id
3rd party ID

Optional ID as assigned by the 3rd party actually storing the data.

string
<= 1024 characters
comment
comment

Comment on a existing customer support ticket.

string
<= 1024 characters
tp_id
Third party ID

ID assigned to this ticket by our support provider.

string
<= 1024 characters
Examplegenerated
{
"attachments": [
{
"attachment": "example",
"content_type": "example",
"filename": "example",
"tp_id": "example"
}
],
"comment": "example",
"tp_id": "example"
}

A successful response.

Media typeapplication/json
Comment response

Gives details of result of adding a customer support ticket.

object
err
string
default: EUNKNOWN
Allowed values: EUNKNOWN EOK E_NOT_CLOSED E_NOT_OPEN E_NOT_ELIGIBLE E_NOT_NOT_FOUND
Example
{
"err": "EUNKNOWN"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example